/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.stamkort.integrations.dds;

public class XdsDocumentEntryConstants {

	public static int XDS_DOCUMENTENTRY_UNIQUEID_MAXLENGTH = 128;

	public final static String XDS_DOCUMENTENTRY_OBJ_TYPE_STABLE_DOCUMENT = "urn:uuid:7edca82f-054d-47f2-a032-9b2a5b5186c1";
	public final static String XDS_DOCUMENTENTRY_OBJ_TYPE_ONDEMAND_DOCUMENT = "urn:uuid:34268e47-fdf5-41a6-ba33-82133c465248";

	public final static String XDS_DOCUMENTENTRY_STATUS_DEPRECATED = "urn:oasis:names:tc:ebxml-regrep:StatusType:Deprecated";
	public final static String XDS_DOCUMENTENTRY_STATUS_APPROVED = "urn:oasis:names:tc:ebxml-regrep:StatusType:Approved";

	public static final String XDS_DOCUMENTENTRY_IDENTIFICATION_SCHEME_EXTERNAL_IDENTIFIER_UNIQUE_ID = "urn:uuid:2e82c1f6-a085-4c72-9da3-8640a32e42ab";
	public static final String XDS_DOCUMENTENTRY_LOCALIZED_STRING_UNIQUE_ID = "DocumentEntry.uniqueId";
	public static final String XDS_DOCUMENTENTRY_IDENTIFICATION_SCHEME_EXTERNAL_IDENTIFIER_PATIENT_ID = "urn:uuid:58a6f841-87b3-4a3e-92fd-a8ffeff98427";
	public static final String XDS_DOCUMENTENTRY_LOCALIZED_STRING_PATIENT_ID = "DocumentEntry.patientId";
	public static final String XDS_DOCUMENTENTRY_UNIQUE_ID = "XDSDocumentEntry.uniqueId";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_REPOSITORY_UNIQUE_ID = "repositoryUniqueId";
	public static final String XDS_DOCUMENTENTRY_ATTRIBUTE_NAME_HOME_COMMUNITY_ID = "home";

	public static final String XSD_DOCUMENTENTY_REGISTRY_PACKAGE_OBJECTTYPE = "urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:RegistryPackage";
	public static final String XDS_DOCUMENTENTRY_CLASSIFICATION_SCHEME_CLASSIFICATION_AUTHOR = "urn:uuid:93606bcf-9494-43ec-9b4e-a7748d1a838d";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_AUTHOR_INSTITUTION = "authorInstitution";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_AUTHOR_PERSON = "authorPerson";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_AUTHOR_ROLE = "authorRole";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_AUTHOR_SPECIALTY = "authorSpecialty";
	public static final String XDS_DOCUMENTENTRY_CLASSIFICATION_SCHEME_CLASSIFICATION_CLASS_CODE = "urn:uuid:41a5887f-8865-4c09-adf7-e362475b143a";
	public static final String XDS_DOCUMENTENTRY_CLASSIFICATION_SCHEME_CLASSIFICATION_CONFIDENTIALITY_CODE = "urn:uuid:f4f85eac-e6cb-4883-b524-f2705394840f";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_CREATION_TIME = "creationTime";
	public static final String XDS_DOCUMENTENTRY_CLASSIFICATION_SCHEME_CLASSIFICATION_EVENT_CODE_LIST = "urn:uuid:2c6b8cb7-8b2a-4051-b291-b1ae6a575ef4";
	public static final String XDS_DOCUMENTENTRY_CLASSIFICATION_SCHEME_CLASSIFICATION_FORMAT_CODE = "urn:uuid:a09d5840-386c-46f2-b5ad-9c3699a4309d";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_HASH = "hash";
	public static final String XDS_DOCUMENTENTRY_LOCALIZED_STRING_HASH = "DocumentEntry.hash";
	public static final String XDS_DOCUMENTENTRY_CLASSIFICATION_SCHEME_CLASSIFICATION_HEALTHCARE_FACILITY_TYPE_CODE = "urn:uuid:f33fb8ac-18af-42cc-ae0e-ed0b0bdb91e1";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_LANGUAGE_CODE = "languageCode";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_LEGAL_AUTHENTICATOR = "legalAuthenticator";
	public static final String XDS_DOCUMENTENTRY_CLASSIFICATION_SCHEME_CLASSIFICATION_PRACTICE_SETTING_CODE = "urn:uuid:cccf5598-8b07-4b77-a05e-ae952c785ead";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_SIZE = "size";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_SERVICE_START_TIME = "serviceStartTime";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_SERVICE_STOP_TIME = "serviceStopTime";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_SOURCE_PATIENT_ID = "sourcePatientId";
	public static final String XDS_DOCUMENTENTRY_CLASSIFICATION_SCHEME_CLASSIFICATION_TYPE_CODE = "urn:uuid:f0306f51-975f-434e-a61c-c59651d33983";
	public static final String XDS_DOCUMENTENTRY_SLOT_NAME_URI = "URI";
	public static final String XDS_SUBMISSIONSET_UNIQUE_ID = "XDSSubmissionSet.uniqueId";
	public static final String XDS_SUBMISSIONSET_PATIENT_ID = "XDSSubmissionSet.patientId";

	public static final String XDS_SLOT_NAME_CODING_SCHEME = "codingScheme";
	public static final String XDS_SLOT_NAME_SUBMISSION_TIME = "submissionTime";

	public static final String XDS_STATUS_SUCCESS = "urn:oasis:names:tc:ebxml-regrep:ResponseStatusType:Success";
	public static final String XDS_STATUS_FAILURE = "urn:oasis:names:tc:ebxml-regrep:ResponseStatusType:Failure";
	public static final String XDS_STATUS_PARTIAL_SUCCESS = "urn:ihe:iti:2007:ResponseStatusType:PartialSuccess";
	public static final String XDS_SUBMISSTION_SET = "urn:uuid:a54d6aa5-d40d-43f9-88c5-b4633d873bdd";
	public static final String XDS_CONTENT_TYPE = "urn:uuid:aa543740-bdda-424e-8c96-df4873be8500";
	public static final String XDS_OBJECTTYPE_CLASSIFICATION = "urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification";

    public static final String XDS_EXTERNAL_ID_UNIQUE_ID = "urn:uuid:96fdda7c-d067-4183-912e-bf5ee74998a8";
    public static final String XDS_EXTERNAL_ID_PATIENT_ID = "urn:uuid:6b5aea1a-874d-4603-a4bc-96a0a7b38446";
    public static final String XDS_EXTERNAL_ID_DOCUMENT_SOURCE = "urn:uuid:554ac39e-e3fe-47fe-b233-965d2a147832";
	public static final String XSD_UPDATE_AVAILABILITY_STATUS = "urn:ihe:iti:2010:AssociationType:UpdateAvailabilityStatus";

	public static final String XDS_ERROR_CODE_REPOSITORY_ERROR = "XDSRepositoryError";
	public static final String XDS_ERROR_CODE_MISSING_DOCUMENT = "XDSMissingDocument";

}
