/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.stamkort.integrations;

import dk.stamkort.dao.exceptions.DDSException;
import dk.stamkort.integrations.dds.DDSRegistryUpdateClient;
import dk.stamkort.util.RequestContextVO;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.Resource;
import org.springframework.test.context.junit4.SpringRunner;

import javax.xml.ws.Endpoint;


@RunWith(SpringRunner.class)
@SpringBootTest
public class DDSRegistryUpdateClientTests {

    public static final String ENDPOINT = "http://localhost:8085/";

    @Mock
    private RequestContextVO requestContext;

    @Autowired
    private DDSRegistryUpdateClient client;

    @Test
    public void testOkDocumentByIdResponse() throws DDSException {
        client.setEndpoint(ENDPOINT);
        Resource resource = new ClassPathResource("testfiles/DDSRegistryUpdateResponse.xml");
        TestServer testServer = new TestServer(resource);
        Endpoint endpoint =  Endpoint.publish(ENDPOINT, testServer);

        client.deprecateDocumentUsingDdsId("", "");
        endpoint.stop();
    }

}
